
QGIS Application - Feature request #16983

Data class groupings

2017-08-07 03:56 PM - Eric Guthrie

Status: Open

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 24882

Description

I have noticed that when data are assigned to classes, for classes other than the fist, they are assigned by grouping data so that they are

greater than the lower bound and less than or equal to the upper bound.  This differs from what many use in terms of defining a class

groupings, and I had to pull out my old stats textbooks to verify.  According to the method of left inclusion the bounds should be set such

that the values for a class are greater than or equal to the lower bound and less than the upper bound.

I assume that folks doing the real work, i.e. coding the program, had a reason for creating the class bound system as it is, so can there be

a setting that will allow the user to decide which system to use for assigning values to a class?  I think that it should be as easy as creating

a toggle for left or right inclusion that would change the signs in the assignment algorithm. I am not a programmer, so I am sorry if I am

oversimplifying something that is more complex, but I think it would be a good feature.

History

#1 - 2017-08-07 03:57 PM - Giovanni Manghi

- Category changed from Analysis library to Symbology

#2 - 2019-02-12 08:56 AM - Mic Del

I second this feature request.

See also #22038
